MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Friends
IterableSplitString::Iterator Class Referencefinal

`#include <IterableSplitString.hxx>`

## Public Types
typedef std::forward_iterator_tag | iterator_category

## Public Member Functions
Iterator & | operator++ ()
constexpr bool | operator== (Iterator other) const
constexpr bool | operator!= (Iterator other) const
constexpr StringView | operator* () const
constexpr const StringView * | operator-> () const

## Friends
class | IterableSplitString

## Detailed Description

Definition at line 54 of file IterableSplitString.hxx.

## Member Typedef Documentation

typedef std::forward_iterator_tag IterableSplitString::Iterator::iterator_category

Definition at line 87 of file IterableSplitString.hxx.

## Member Function Documentation

constexpr bool IterableSplitString::Iterator::operator!= | ( | Iterator | other | ) | const
| inline

Definition at line 98 of file IterableSplitString.hxx.

constexpr StringView IterableSplitString::Iterator::operator* | ( |  | ) | const
| inline

Definition at line 102 of file IterableSplitString.hxx.

Iterator& IterableSplitString::Iterator::operator++ | ( |  | ) |
| inline

Definition at line 89 of file IterableSplitString.hxx.

constexpr const StringView* IterableSplitString::Iterator::operator-> | ( |  | ) | const
| inline

Definition at line 106 of file IterableSplitString.hxx.

constexpr bool IterableSplitString::Iterator::operator== | ( | Iterator | other | ) | const
| inline

Definition at line 94 of file IterableSplitString.hxx.

## Friends And Related Function Documentation

friend class IterableSplitString
| friend

Definition at line 55 of file IterableSplitString.hxx.

The documentation for this class was generated from the following file:

- util/IterableSplitString.hxx